import {Component, OnInit, Output,EventEmitter} from '@angular/core';
import {RestaurantesService} from "../../restaurantes.service";

@Component({
  selector: 'app-agregar-res',
  templateUrl: './agregar-res.component.html',
  styleUrls: ['./agregar-res.component.scss']
})
export class AgregarResComponent implements OnInit {

  restaurante: any;
  idSelect:any;
  nombreSelect:any;



  agre={
     nombre:null

  }

  constructor(private restaurantServ : RestaurantesService) { }

  ngOnInit(): void {
    this.recuperartodos();

  }
  recuperartodos(){
    console.log(this.restaurante);
    this.restaurantServ.mostrarTodosRes().subscribe(result => this.restaurante = result);
  }
  agregarRes(){
    this.restaurantServ.agregar(this.agre).subscribe((respuesta)=>{
      this.recuperartodos();
    });
  }
  eliminarRes(id:any){
    if(confirm("Esta seguro de eliminar este registro?")) {
      this.restaurantServ.eliminar(id).subscribe()
    }
  }

  modificarResModal(id:any,nombre:any){
    this.idSelect= id;
    this.nombreSelect= nombre;

  }






  hayregistro(){
    return true;
  }

}
